Przejdź do głównej zawartości

Expire a payment

PATCH 

/v3/payments/:paymentId/expire

Expire a payment, with an option to include recovered payments.

Request​

Path Parameters

    paymentId stringrequired

    Possible values: >= 16 characters and <= 16 characters, Value must match regular expression ^([a-zA-Z0-9]{4}(-[a-zA-Z0-9]{3}){3})$

    Unique ID of a payment generated by Paynow

Header Parameters

    Api-Key stringrequired

    Unique key used to authenticate API requests.

    Signature stringrequired

    The Signature header is used to ensure the request’s body integrity and to confirm that its content has not changed.

    Idempotency-Key stringrequired

    Possible values: <= 45 characters

    A unique identifier used to ensure idempotent behavior. If the business application request fails or you receive a timeout you can retry the request with the same Idempotency-Key to guarantee that only one business object is created.

    User-Agent string

    The User-Agent request header contains a characteristic string that allows the network protocol peers to identify the application type, operating system, software vendor or software version of the requesting software user agent.

    Accept stringrequired

    The Accept request HTTP header advertises which content types, expressed as MIME types, the client is able to understand. Can be set to */*.

    Content-Type stringrequired

    The Content-Type entity header is used to indicate the media type of the resource.

Body

required

Request body for expiring a payment

    expireRecoveredPayments booleanrequired

    Whether recovered payments should also be expired.

    Example: false

Responses​

No Content

Loading...